Subject: Re: [RFC PATCH 0/4] net: dsa: link aggregation support

From: Tobias Waldekranz <[email-masked]>
Date: Tue, 27 Oct 2020 16:09:01 +0100

On Tue, Oct 27, 2020 at 15:00, Andrew Lunn <[email-masked]> wrote:
>> (mv88e6xxx) What is the policy regarding the use of DSA vs. EDSA?  It
>> seems like all chips capable of doing EDSA are using that, except for
>> the Peridot.
>
> Hi Tobias
>
> Marvell removed the ability to use EDSA, in the way we do in Linux
> DSA, on Peridot. One of the configuration bits is gone. So i had to
> use DSA.  It could be i just don't understand how to configure
> Peridot, and EDSA could be used, but i never figured it out.
>
> I will get back to your other questions.
>
>   Andrew

Hi Andrew,

Very interesting! Which bit is that?

Looking at the datasheets for Agate and Peridot side-by-side, the
sections named "Ether Type DSA Tag" seem to be identical.

Thanks,
Tobias